Retrieves the equipment_model object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_model| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| name |
Name of the equipment model |
string |
Required Max length: 50 |
| description |
Description of the equipment model |
string | |
| equipment_brand_id |
FK Of Equipment brand |
globally unique identifier | |
| equipment_brand_code |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
string | |
| equipment_brand |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
equipment_brand | |
| equipment_family_id |
FK Of equipment_family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
equipment_family | |
| date_in_production_since |
Date in production since |
date | |
| date_out_of_production_since |
Date Out Of production since |
date | |
| date_end_support |
Date end support |
date | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating equipment_model |
sales_organization | |
| replacement_period_nb_months |
replacement_period_nb_months |
integer | |
| warranty_period_nb_months |
warranty_period_nb_months |
integer | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "5d6d98ba-1d0f-4349-a591-f0d9a9dca878",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "012b58f2-87c8-4c43-a543-82a5256503df",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "0a196cb7-120f-45d0-bea0-7fee33e8be87",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "da77615a-c169-4f80-b6ac-6b770d0129d6",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "6f52c69c-e6cd-499b-bc7c-3222a0262279",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "fe915b73-acf5-4447-95f3-2eaec6bee93a",
"db_currency_id": "ef8fed78-026b-483d-b34c-f6f4fea323a3",
"db_language_id": "589ee7ac-d15a-4a0c-8111-9736a30abedf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:23.4889981+00:00"
},
"modified_dateutc": "2026-11-02T04:58:23.4889981+00:00"
},
"equipment_family_id": "90ca7ac9-37dd-4052-81bc-d61b4fe1a635",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "d9f3f568-d1f5-4690-9595-3ed5b0bfde2f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "ad2eee8b-dbfe-43a8-8791-39cd6f82054f",
"_parent_code": "sample string 6",
"sales_organization_id": "f96a0ebc-96af-4e12-b63a-7f99927a7b33",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "6f52c69c-e6cd-499b-bc7c-3222a0262279",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "fe915b73-acf5-4447-95f3-2eaec6bee93a",
"db_currency_id": "ef8fed78-026b-483d-b34c-f6f4fea323a3",
"db_language_id": "589ee7ac-d15a-4a0c-8111-9736a30abedf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:23.4889981+00:00"
},
"modified_dateutc": "2026-11-02T04:58:23.4889981+00:00"
},
"date_in_production_since": "2026-11-02T04:58:23.4889981+00:00",
"date_out_of_production_since": "2026-11-02T04:58:23.4889981+00:00",
"date_end_support": "2026-11-02T04:58:23.4889981+00:00",
"sales_organization_id": "2ed0d3b9-f18e-4a6f-baba-253a820b6ef1",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "6f52c69c-e6cd-499b-bc7c-3222a0262279",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "fe915b73-acf5-4447-95f3-2eaec6bee93a",
"db_currency_id": "ef8fed78-026b-483d-b34c-f6f4fea323a3",
"db_language_id": "589ee7ac-d15a-4a0c-8111-9736a30abedf",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:23.4889981+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-02T04:58:23.4889981+00:00"
}